************************************** ``GET`` Get general assessment defaults ************************************** Returns organization-wide default settings for new assessments: completion alerts, CEFR (communication) report style, and cutoff score. Request URL ============= .. code-block:: GET /general .. warning:: Make sure to add your API key in Header of the request Response ========== .. code-block:: JSON { "general": { "completion_alerts": false, "cefr_report": false, "cutoff": 40 } } Notes ====== - ``cefr_report`` is always ``false`` in the response if the company does not have the ``assessment_reports.communication`` product limit enabled. ************************************** ``POST`` Update general assessment defaults ************************************** Updates stored defaults and optionally applies them to all existing assessments for the company. Request URL ============= .. code-block:: POST /general Body parameters =============== .. code-block:: JSON { "completion_alerts": true, "cefr_report": true, "cutoff": 60, "updateAll": false } .. warning:: Make sure to add your API key in Header of the request Parameters =========== +-------------------+------------+----------------------------------------------------------------+ | Parameter | Type | Description | +===================+============+================================================================+ | completion_alerts | boolean | If true, new assessments default to notifying the owner on | | | | completion (maps to MySQL ``resume``). | +-------------------+------------+----------------------------------------------------------------+ | cefr_report | boolean | If true, new assessments default ``report_style`` to | | | | ``communication``. Ignored if the company lacks | | | | ``assessment_reports.communication``. Omitted keys are merged | | | | with existing stored values. | +-------------------+------------+----------------------------------------------------------------+ | cutoff | number | Overall pass threshold (0 - 100). | +-------------------+------------+----------------------------------------------------------------+ | updateAll | boolean | If true, updates all assessments default settings. | +-------------------+------------+----------------------------------------------------------------+ Response ========== .. code-block:: JSON { "general": { "completion_alerts": true, "cefr_report": false, "cutoff": 60 } }